Package jebl.util

# Class HashPair<T>

java.lang.Object
jebl.util.HashPair<T>

public class HashPair<T> extends Object
A pair suitable for use in a HashMap.

Version:
  $Id: HashPair.java 956 2008-11-30 01:18:20Z rambaut $
Author:
  Joseph Heled

## Field Summary

Fields
Modifier and Type
Field
Description
`final T`
`first`
`final T`
`second`

## Constructor Summary

Constructors
Constructor
Description
`HashPair(T a, T b)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object x)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### first

public final T first

### second

public final T second

## Constructor Details

### HashPair

public HashPair(T a, T b)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object x)

Overrides:
  `equals` in class `Object`